close all;
clc;

% Bilinear Interpolation
BL_R = load('BLTrainResult.dat');
% BL_E = load('BLTestResult.dat');
L_BL_R = 1:1:length(BL_R(:,1));

% B-sline Neural Network
BSNN_R = load('BSNNTrainResult.dat');
L_BSNN_R = 1:1:length(BSNN_R(:,1));

% SVM for Regression
SVMR_R = load('SVMRTrainResult.dat');
% SVMR_E = load('SVMRTestResult.dat');
L_SVMR_R = 1:1:length(SVMR_R(:,1));

% Conventional ELM
ELM_R = load('ELMTrainResult.dat');
% ELM_E = load('ELMTestResult.dat');
L_ELM_R = 1:1:length(ELM_R(:,1));

% Computed Input Weight ELM
CELM_R = load('CIW_ELMTrainResult.dat');
% ELM_E = load('CIW_ELMTestResult.dat');
L_CELM_R = 1:1:length(CELM_R(:,1));

% RBF with BGD
BGD_R = load('ANNTrainResult.dat');
% BGD_E = load('ANNTestResult.dat');
L_BGD_R = 1:1:length(BGD_R(:,1));

% ML-RBF-ELM
MRE_R = load('ML_RBF_ELMTrainResult.dat');
% MRE_E = load('ML_RBF_ELMTestResult.dat');
% True_D = load('TrainDBData3.dat');
% HeiMean = 332;
% HeiStd  = 536;
% MRE_T = (True_D(:,3)*HeiStd/2.0) + HeiMean;
L_MRE_R = 1:1:length(MRE_R(:,1));

figure(1)
CM = colormap('lines');
plot(L_CELM_R*24.28, BL_R(:,3), '.', 'Markersize', 3, 'Color', CM(1,:)); hold on;
plot(L_CELM_R(1:2:end)*24.28, CELM_R(1:2:end,3), '.', 'Markersize', 3, 'Color', CM(2,:)); hold on;
plot(L_CELM_R(2:2:end-1)*24.28, BL_R(2:2:end-1,3), '.', 'Markersize', 3, 'Color', CM(2,:)); hold off;
xlabel('Number of Sample ', 'Fontsize', 12)
ylabel('Terrain Height [m]', 'Fontsize', 12)
xlim([0 max(L_CELM_R*24.28)])
grid on;
% legend('True Terrain', 'Estimated Terrain')
legend('True Terrain', 'ML-RBF-ELM')
% title('Fitting Result of Proposed ML-RBF-ELM', 'Fontsize',12);

figure(2)
title('Fitting Result of Fitting Methods', 'Fontsize', 12);
subplot(221)
plot(L_BL_R*24.28, BL_R(:,3), '.', 'Markersize', 3); hold on;
plot(L_BL_R*24.28, BL_R(:,6), '.', 'Markersize', 3); hold off;
xlabel('Number of Sample ')
ylabel('Terrain Height [m]')
xlim([0 max(L_BL_R*24.28)])
grid on;
legend('True Terrain', 'Bilinear Interpolation')
% title('Fitting Result of Bilinear Interpolation', 'Fontsize',12);
subplot(222)
plot(L_BSNN_R*24.28, BL_R(:,3), '.', 'Markersize', 3); hold on;
plot(L_BSNN_R*24.28, BSNN_R(:,2), '.', 'Markersize', 3, 'Color', CM(2,:)); hold on;
plot(L_BSNN_R*24.28, BSNN_R(:,4), '.', 'Markersize', 3, 'Color', CM(2,:)); hold off;
xlabel('Number of Sample ')
ylabel('Terrain Height [m]')
xlim([0 max(L_BSNN_R*24.28)])
grid on;
legend('True Terrain', 'B-spline NN')
% title('Fitting Result of B-spline NN', 'Fontsize',12);
subplot(223)
plot(L_SVMR_R*24.28, BL_R(:,3), '.', 'Markersize', 3); hold on;
plot(L_SVMR_R*24.28, SVMR_R(:,3), '.', 'Markersize', 3); hold off;
xlabel('Number of Sample ')
ylabel('Terrain Height [m]')
xlim([0 max(L_SVMR_R*24.28)])
grid on;
legend('True Terrain', 'SVMR')
% title('Fitting Result of SVMR', 'Fontsize',12);
subplot(224)
plot(L_ELM_R*24.28, BL_R(:,3), '.', 'Markersize', 3); hold on;
plot(L_ELM_R*24.28, ELM_R(:,3), '.', 'Markersize', 3); hold off;
xlabel('Number of Sample ')
ylabel('Terrain Height [m]')
xlim([0 max(L_BSNN_R*24.28)])
grid on;
legend('True Terrain', 'Conventional ELM')
% title('Fitting Result of Conventional ELM', 'Fontsize',12);
