close all;
clc;

BKF_BL = load('BKF_Trj1802411_BiLinear_Monte100.mat');
% CIW-ELM
% BKF_ML = load('BKF_Trj1802411_MRBF_ELM3_Monte100.mat');
% ML-RBF-ELM
BKF_ML = load('BKF_Trj1802411_MRBF_ELM7_Monte100.mat');


fprintf('BKF_BL_TAN = %f, BKF_BL_INT = %f%%\n', BKF_BL.CEPTrn, BKF_BL.CEPAided_TRN);
fprintf('BKF_ML_TAN = %f, BKF_ML_INT = %f%%\n', BKF_ML.CEPTrn, BKF_ML.CEPAided_TRN);

CM = colormap('lines');
figure(1)
plot(BKF_BL.TrnRMS(:,1), BKF_BL.TrnRMS(:,2), ':', 'Color', CM(4,:), 'Linewidth', 1.5); hold on;
plot(BKF_BL.TrnRMS(:,1), BKF_BL.TrnRMS(:,3), ':', 'Color', CM(5,:), 'Linewidth', 1.5); hold on;
plot(BKF_ML.TrnRMS(:,1), BKF_ML.TrnRMS(:,2), 'Color', CM(1,:), 'Linewidth', 2.0); hold on;
plot(BKF_ML.TrnRMS(:,1), BKF_ML.TrnRMS(:,3), 'Color', CM(2,:), 'Linewidth', 2.0); hold off;
ylabel('Position Error [m]', 'Fontsize', 14)
legend('N-S Error of Bilinear Interpolation', 'E-W Error of Bilinear Interpolation', ...
       'N-S Error of ML-RBF-ELM', 'E-W Error of ML-RBF-ELM');
% legend('N-S Error of Interpolation', 'E-W Error of Interpolation', ...
%        'N-S Error of CIW-ELM', 'E-W Error of CIW-ELM');
xlabel('Time [sec]', 'Fontsize', 14)  
grid on;
%title('BKF-based TRN RMS Error', 'Fontsize', 14);
ylim([0 20])


% Loading "BKF_Trj1802411_BiLinear_Monte100_AidedNav.fig" or "BKF_Trj1802411_ML_RBF_ELM7_Monte100_AidedNav.fig"
% Release Annotation processing -> copy -> paste into excute window

% figure(1)
% subplot(211)
% title('INS/TRN N-S RMS Error by Bilinear Interpolation', 'Fontsize', 12);
% ylim([-20 20])
% xlabel('Time [sec]', 'Fontsize', 12);
% ylabel('Position Error [m]', 'Fontsize', 12);
% subplot(212)
% title('INS/TRN E-W RMS Error by Bilinear Interpolation', 'Fontsize', 12);
% ylim([-20 20])
% xlabel('Time [sec]', 'Fontsize', 12);
% ylabel('Position Error [m]', 'Fontsize', 12);
% 
% 
% figure(2)
% subplot(211)
% title('INS/TRN N-S RMS Error by ML-RBF-ELM', 'Fontsize', 12);
% % title('BKF based INS/TAN N-S RMS Error by CIW-ELM', 'Fontsize', 12);
% ylim([-20 20])
% xlabel('Time [sec]', 'Fontsize', 12);
% ylabel('Position Error [m]', 'Fontsize', 12);
% subplot(212)
% title('INS/TRN E-W RMS Error by ML-RBF-ELM', 'Fontsize', 12);
% % title('BKF based INS/TAN E-W RMS Error by CIW-ELM', 'Fontsize', 12);
% ylim([-20 20])
% xlabel('Time [sec]', 'Fontsize', 12);
% ylabel('Position Error [m]', 'Fontsize', 12);
