
DBELMResult = load('DEM_RBFN_ELM_Lambda0.2_RegulationMode3.dat');
DBELMResult2 = load('DEM_RBFN_ELM_Lambda0.15_RegulationMode3.dat');
DBELMResult3 = load('DEM_RBFN_ELM_Lambda0.25_RegulationMode3.dat');

% DBELMResult = [num; TrainingAccuracy; TestAcuuracy; TrainingTime; TestTime];
CM = colormap('lines');
figure(1)
plot(DBELMResult2(:,1), DBELMResult2(:,2), ':o', 'Linewidth', 2, 'markersize', 5, 'Color', CM(1,:)); hold on;
plot(DBELMResult2(:,1), DBELMResult2(:,3), ':^', 'Linewidth', 2, 'markersize', 5, 'Color', CM(2,:)); hold on;
plot(DBELMResult(:,1), DBELMResult(:,2), '-o', 'Linewidth', 2, 'markersize', 5, 'Color', CM(1,:)); hold on;
plot(DBELMResult(:,1), DBELMResult(:,3), '-^', 'Linewidth', 2, 'markersize', 5, 'Color', CM(2,:)); hold on;
plot(DBELMResult3(:,1), DBELMResult3(:,2), '-.o', 'Linewidth', 2, 'markersize', 5, 'Color', CM(1,:)); hold on;
plot(DBELMResult3(:,1), DBELMResult3(:,3), '-.^', 'Linewidth', 2, 'markersize', 5, 'Color', CM(2,:)); hold off;
xlabel('Number of hidden node [N]')
ylabel('Accuracy [%]')
title('Matching results of DEM trained by CIW-ELM', 'Fontsize', 14)
grid on;
legend('Training at lambda = 0.15', 'Test at lambda = 0.15', 'Training at lambda = 0.2', 'Test at lambda = 0.2', ...
       'Training at lambda = 0.25', 'Test at lambda = 0.25')

figure(2)
[AX,H1,H2]= plotyy(DBELMResult(:,1), DBELMResult(:,4), DBELMResult(:,1), DBELMResult(:,5)*1e6, 'plot'); hold off;
set(H1,{'color', 'linestyle', 'marker', 'Linewidth', 'Markersize'},{CM(1,:), '-', 'o', 2, 5})
set(H2,{'color', 'linestyle', 'marker', 'Linewidth', 'Markersize'},{CM(2,:), '-', '^', 2, 5})
set(AX,{'ycolor'},{CM(1,:);CM(2,:)}) 
xlabel('Number of hidden nodes [N]')
ylabel(AX(1), 'Training time [sec]')
ylabel(AX(2), 'Test time [\musec]')
title('Matching results of DEM trained by CIW-ELM', 'Fontsize', 14)
grid on;